# Module edoc_layout

The standard HTML layout module for EDoc.

Copyright © 2001-2002 Richard Carlsson

- Description
- Function Index
- Function Details

Authors: Richard Carlsson (`richardc@csd.uu.se`).

See also: edoc.

## Description

The standard HTML layout module for EDoc. See the `edoc` module for details on usage.

## Function Index

module/2 | The layout function.
overview/2 |
package/2 |
type/1 |

## Function Details

### module/2

`module(Element, Options) -> term()`

The layout function.

Options to the standard layout:

`{index_columns, integer()}`
  Specifies the number of column pairs used for the function index tables. The default value is 1.
`{stylesheet, string()}`
  Specifies the URI used for referencing the stylesheet. The default value is `"stylesheet.css"`. If an empty string is specified, no stylesheet reference will be generated.
`{xml_export, Module::atom()}`
  Specifies an `xmerl` callback module to be used for exporting the documentation. See `//xmerl/xmerl:export_simple/3` for details.

See also: edoc:layout/2.

### overview/2

`overview(E, Options) -> term()`

### package/2

`package(E, Options) -> term()`

### type/1

`type(E) -> term()`